
DATADIR="/opt/tiger/sumtest/UN_v1/first_5000"

declare -A LANG_TAGS
LANG_TAGS=([en]="en_XX" [zh]="zh_CN" [fr]="fr_XX")

cd /opt/tiger/sumtest/crossLingualTransfer
skip_preprocess="true"

for split in train dev
do
    for lang in en zh fr
    do
        lg_tag=${LANG_TAGS[$lang]}
        for k in 100 300 600
        do  
            time=$(date "+%Y%m%d %H:%M:%S")
            # echo "Time: $time"
            command="bash dump_text_emb_mbart_proj.sh mspm4_xgiga ${lg_tag} $DATADIR/$split/UNv1.0.6way.${lang}.first_5000.txt proj_wiki40b_10w_${k}_${split}_${lang} layer12 proj ${skip_preprocess} $k"
            echo "Command: ${command}"
            $command
            # skip_preprocess="true"
        done
    done
done
